# Spec file for jslaunch
# Sander Pronk
#
Summary: Joystick button shell command execution/shutdown tool
Name: jslaunch
Version: 2.0
Release: 1
Copyright: GPL
Group: Daemons
Source: ftp://sunsite.unc.edu/pub/Linux/hardware/daemons/jslaunch-2.0.tar.gz
URL: http://gene.wins.uva.nl/~spronk/jslaunch
Packager: Sander Pronk <pronk@amolf.nl>

%description
jslaunch is a very small daemon/program that will start a specified
shell command when a combination of joystick buttons is pressed. 
One of its uses is as a backup way to make a clean shutdown 
if your console has been messed up by X11 or SVGAlib and you 
don't have a terminal sitting on your desk to log in and 
shut down from, but you can use it for example as a remote 
control to do just about anything (including starting a measurement
on an experimental setup connected to your computer).
You will not need any joystick drivers.

%prep
%setup
%ifnarch i386 alpha
echo "This package probably won't run on this architecture!"
%endif
%ifnos Linux
echo "This package probably won't build on this os!"
%endif

%build
make

%install
install -s -m4755 -o0 jslaunch jstest /usr/bin
install -s jslaunchd /usr/bin
install jslaunch.1 jstest.1 jslaunchd.1 /usr/man/man1
install jslaunchd.conf /etc
install -m755 jslaunch.init /etc/rc.d/init.d/jslaunch
install jslaunch.1 jslaunchd.1 jstest.1 /usr/man/man1
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc0.d/K95jslaunchd
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc6.d/K95jslaunchd
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc1.d/S05jslaunchd
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc2.d/S05jslaunchd
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc3.d/S05jslaunchd
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc4.d/S05jslaunchd
ln -s /etc/rc.d/init.d/jslaunch /etc/rc.d/rc5.d/S05jslaunchd

%files
%doc README
%attr(4755,root,root) /usr/bin/jslaunch
%attr(4755,root,root) /usr/bin/jstest
/usr/bin/jslaunchd
%config /etc/jslaunchd.conf
/usr/man/man1/jslaunch.1
/usr/man/man1/jslaunchd.1
/usr/man/man1/jstest.1
/etc/rc.d/init.d/jslaunch
/etc/rc.d/rc0.d/K95jslaunchd
/etc/rc.d/rc6.d/K95jslaunchd
/etc/rc.d/rc1.d/S05jslaunchd
/etc/rc.d/rc2.d/S05jslaunchd
/etc/rc.d/rc3.d/S05jslaunchd
/etc/rc.d/rc4.d/S05jslaunchd
/etc/rc.d/rc5.d/S05jslaunchd


